%define version	1.2.7
%define release	%mkrel 3

%define scim_version	1.4.5
%define anthy_version	6606

%define libname %mklibname %{name} 0

Name:		scim-anthy
Summary:	SCIM IMEngine module for anthy
Epoch:		2
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPLv2+
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	%{name}-%{version}.tar.gz
Patch0:		scim-anthy-modify_romaji_tables.diff
Patch1:		scim-anthy-disable_custom_candidate_window.diff
Obsoletes:		%{libname}
Requires:		anthy >= %{anthy_version}
Requires:		scim-client = %{scim_api}
Requires:		kasumi
BuildRequires:		anthy-devel >= %{anthy_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake libltdl-devel
BuildRequires:		gettext-devel

%description
Scim-anthy is an SCIM IMEngine module for anthy.
It supports Japanese input.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%scim_plugins_dir/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*
%dir %{_datadir}/scim/Anthy
%{_datadir}/scim/Anthy/*
%scim_plugins_dir/IMEngine/*.so
%scim_plugins_dir/SetupUI/*.so
%scim_plugins_dir/Helper/*.so




%changelog
* Sun May 08 2011 tv <tv> 2:1.2.7-3.mga1
+ Revision: 96018
- cleanups
- imported package scim-anthy


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.7-3mdv2011.0
+ Revision: 607515
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2:1.2.7-2mdv2010.1
+ Revision: 523979
- rebuilt for 2010.1

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 2:1.2.7-1mdv2009.1
+ Revision: 335227
- New version 1.2.7

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 25 2008 Funda Wang <fwang@mandriva.org> 2:1.2.6-1mdv2009.0
+ Revision: 197353
- New version 1.2.6

* Fri Mar 14 2008 Funda Wang <fwang@mandriva.org> 2:1.2.5-1mdv2008.1
+ Revision: 187755
- New version 1.2.5

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2:1.2.4-3mdv2008.1
+ Revision: 171089
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 13 2007 Funda Wang <fwang@mandriva.org> 2:1.2.4-2mdv2008.0
+ Revision: 85136
- forgot of epoch of requirements of libname

* Thu Sep 13 2007 Funda Wang <fwang@mandriva.org> 2:1.2.4-1mdv2008.0
+ Revision: 85112
+ rebuild (emptylog)

* Thu Sep 13 2007 Funda Wang <fwang@mandriva.org> 1:1.2.4-1mdv2008.0
+ Revision: 85094
- Downgrade to 1.2.4 to solve problem bug#33093

* Mon Jun 11 2007 Funda Wang <fwang@mandriva.org> 1.3.0-2mdv2008.0
+ Revision: 38014
- Merge UTUMI Hirosi's patch

* Mon Apr 23 2007 Funda Wang <fwang@mandriva.org> 1.3.0-1mdv2008.0
+ Revision: 17150
- cleanup filelist.
- Helper*.so do not exists any more.
- new upstream release 1.3.0


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.0
+ Revision: 106781
- new release
- Import scim-anthy

* Wed Oct 18 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.1-2mdv2007.0
- fix build for scim-1.4.5

* Sat Sep 30 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.1-1mdv2007.0
- new release

* Tue Aug 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdv2007.0
- new release

* Fri Mar 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Sun Jan 29 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdk
- new release
- remove patch0 (merged upstream)

* Sat Jan 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-2mdk
- add patch0

* Thu Dec 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-1mdk
- new release

* Thu Oct 27 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.1-1mdk
- new release
- add kasumi to requires
- (Ashie-san [the author of scim-anthy] asked for it)
- remove patch0 (merged upstream)

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.7.0-1mdk
- new release
- patch 0: fix crash

* Tue Aug 16 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.6.1-1mdk
- new release

* Tue Aug 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-1mdk
- new release

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.3-1mdk
- new release

* Wed Jul 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-4mdk
- Rebuild for new scim

* Tue Jun 21 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-3-1mdk
- Rebuild for new scim ( 1.3.1 )

* Sat Jun 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-2mdk 
- Rebuild for new anthy

* Fri Jun 10 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.3-1mdk
- 0.4.3 
	- Fix for gcc-4.0. Thanks UTUMI-san
	- Fix a bug that selecting first & last 
	        candidate feature doesn't work Thanks BANDO-san

* Tue May 31 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.4.2-1mdk
- 0.4.2

* Tue May 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.2-1mdk
- new release

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-3.20050217.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.1-3.20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- more cleanup

* Wed Feb 02 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-2mdk
- clean spec (abel)

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1-1mdk
- new release

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-1mdk
- new release
- fix build with new automake
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o remove unneeded files (/usr/lib/scim-1.0/*/*.{a,la})
  o add "define scim_version"

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-3.cvs20041224.2mdk
- latest snapshot
- fix BuildRequires
- rebuild with scim-1.0.2

* Mon Nov 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-2mdk
- new release

* Mon Nov 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- initial release

